WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/May 2026/30 May 2026

Bangor RFC League Presentation

35 photographs Chris Fairweather/Huw Evans AgencyChris Fairweather/Huw Evans Agen Saturday
Prints from £8 Order prints
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 001
CDF_300526_CF_Bangor_Presentation_001.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 002
CDF_300526_CF_Bangor_Presentation_002.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 003
CDF_300526_CF_Bangor_Presentation_003.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 004
CDF_300526_CF_Bangor_Presentation_004.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 005
CDF_300526_CF_Bangor_Presentation_005.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 006
CDF_300526_CF_Bangor_Presentation_006.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 007
CDF_300526_CF_Bangor_Presentation_007.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 008
CDF_300526_CF_Bangor_Presentation_008.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 009
CDF_300526_CF_Bangor_Presentation_009.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 010
CDF_300526_CF_Bangor_Presentation_010.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy 011
CDF_300526_CF_Bangor_Presentation_011.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Alun Roberts, WRU North Wales representative presents Captain Calvin Williams with the trophy
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 012
CDF_300526_CF_Bangor_Presentation_012.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 013
CDF_300526_CF_Bangor_Presentation_013.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 014
CDF_300526_CF_Bangor_Presentation_014.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 015
CDF_300526_CF_Bangor_Presentation_015.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 016
CDF_300526_CF_Bangor_Presentation_016.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 017
CDF_300526_CF_Bangor_Presentation_017.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 018
CDF_300526_CF_Bangor_Presentation_018.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 019
CDF_300526_CF_Bangor_Presentation_019.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 020
CDF_300526_CF_Bangor_Presentation_020.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 021
CDF_300526_CF_Bangor_Presentation_021.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 022
CDF_300526_CF_Bangor_Presentation_022.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates 023
CDF_300526_CF_Bangor_Presentation_023.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - Captain Calvin Williams lifts the trophy alongside his team mates
300526 - Admiral National League 3 North West League Presentation Bangor RFC - 024
CDF_300526_CF_Bangor_Presentation_024.JPG · Chris Fairweather/Huw Evans Agen300526 - Admiral National League 3 North West League Presentation Bangor RFC -
300526 - Admiral National League 3 North West League Presentation Bangor RFC - 025
CDF_300526_CF_Bangor_Presentation_025.JPG · Chris Fairweather/Huw Evans Agen300526 - Admiral National League 3 North West League Presentation Bangor RFC -
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 026
CDF_300526_CF_Bangor_Presentation_026.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 027
CDF_300526_CF_Bangor_Presentation_027.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 028
CDF_300526_CF_Bangor_Presentation_028.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 029
CDF_300526_CF_Bangor_Presentation_029.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 030
CDF_300526_CF_Bangor_Presentation_030.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 031
CDF_300526_CF_Bangor_Presentation_031.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 032
CDF_300526_CF_Bangor_Presentation_032.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 033
CDF_300526_CF_Bangor_Presentation_033.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 034
CDF_300526_CF_Bangor_Presentation_034.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC
300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC 035
CDF_300526_CF_Bangor_Presentation_035.JPG · Chris Fairweather/Huw Evans Agency300526 - Admiral National League 3 North West League Presentation Bangor RFC - General View of Bangor RFC

More from around this date

Sat 30 MayRhymney RFC League Presentation Sat 30 MayWales Football Media Interviews Sat 30 MayDHL Stormers 44-21 Cardiff Rugby Sun 31 MayTreorchy Women Trophy Final Sun 31 MaySenghenydd Sirens v Combined Llantwit Side Sun 31 MaySenghenydd Sirens League Presentation Fri 29 MayGlamorgan v Somerset Mon 1 JunWales Rugby Training
Bangor RFC League Presentation · 30 May 2026
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured